bximage(1)

NAME
bximage - Interactive Disk Image Creator for Bochs

SYNOPSIS
bximage [options] [filename]

DESCRIPTION

Bximage is an easy to use console based tool for creating disk images, particularly for use with Bochs. It is completely interactive if no command line arguments are used. It can be switched to a non-interactive mode if all required parameters are given in the command line.

OPTIONS

When you run bximage without one of the following options, it will appear in interactive mode and ask for all required parameters to create an image.

-fd Create a floppy image.

-hd Create a hard disk image.

-mode=...
    Image mode (for hard disks only - see the bochsrc sample for supported options).

-size=...
    Image size in megabytes (e.g. 1.44 for floppy image, 10 for hard disk image).

-q  Quiet mode (don't prompt for user input). Without this option bximage uses the command line parameters as defaults for the interactive mode. If this option is given and one of the required parameters is missing, bximage will fall back to interactive mode.

--help
    Print a summary of the command line options for bximage and exit.

The filename parameter specifies the name of the image to be created.

LICENSE
This program is distributed under the terms of the GNU Lesser General Public License as published by the Free Software Foundation. See the COPYING file located in /usr/local/share/doc/bochs/ for details on the license and the lack of warranty.

AVAILABILITY
The latest version of this program can be found at:
  http://bochs.sourceforge.net/getcurrent.html

SEE ALSO
bochs(1), bochsrc(5), bochs-dlx(1), bxcommit(1)

The Bochs IA-32 Emulator site on the World Wide Web:
  http://bochs.sourceforge.net
Online Bochs Documentation
	http://bochs.sourceforge.net/doc/docbook

AUTHORS
Bximage was written by Bryce Denney, based on several similar tools from the bochs-developers list.

BUGS
Please report all bugs to the bug tracker on our web site. Just go to http://bochs.sourceforge.net, and click "Bug Reports" on the sidebar under "Feedback."

Provide a detailed description of the bug, the version of the program you are running, the operating system you are running the program on and the operating system you are running in the emulator.